configureIntegration
An integration can call this endpoint to configure itself
POST
/v1/chat/integrations/configureAuthorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-bp-authenticated-principalstringAuthenticated principal. Injected by the authentication middleware.
x-bot-idstringBot id
x-integration-id?stringIntegration id
x-integration-alias?stringIntegration alias
Request body
Configuration of the integration
identifier?string | nullUnique identifier of the integration that was installed on the bot(max length: 200)
scheduleRegisterCall?enum<string>Recurring schedule on which `register()` will be called on the integration
Available options:
"hourly","daily","weekly","bi-weekly","monthly","bi-monthly","quarterly","yearly"sandboxIdentifiers?object | null**EXPERIMENTAL** Sandbox identifiers for the integration. Setting this to null will remove all sandbox identifiers. This is an experimental feature meant to be used by specific integrations.
Response
Configuration of the integration